#!/bin/sh
## make random pooling problem instance

if [ "$5" = "" ]; then
    echo "$0: make a random pooling problem instance"
    echo "  usage: $0 inputs pools outputs attributes density"
    exit 1
fi

I=$1
P=$2
O=$3
A=$4
D=$5

cat <<EOF > mkpooling.dat
# random pooling problem instance generated by mkpooling.sh/.run
param Imax := $I;  # input (source) nodes
param Pmax := $P;  # pools 
param Jmax := $O;  # output nodes
param Kmax := $A;  # attribute
param density := $D; # graph density in (0,1)
EOF

cat mkpooling.dat | grep -v density > pooling.out
ampl < mkpooling.run >> pooling.out
grep -v "randseed" pooling.out > pooling.dat
rm -f pooling.out mkpooling.dat

